Python中import theano中出现的import error相关的问题,希望能得到解答

新人第一次使用theano,目前网上没又找到相关的解决方案,我想在这里问下各位朋友,以下是错误
Problem occurred during compilation with the command line below:
"g++" -shared -g -IC:\Users\wskyl\Anaconda3\MinGW -DNPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION -m32 -I"C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\numpy\core\include" -I"C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\include" -I"C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\gof\c_code" -L"C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\libs" -L"C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32" -o "C:\Users\wskyl\AppData\Local\Theano\compiledir_Windows-10-10.0.16299-SP0-Intel64_Family_6_Model_158_Stepping_9_GenuineIntel-3.6.2-32\lazylinker_ext\lazylinker_ext.pyd" "C:\Users\wskyl\AppData\Local\Theano\compiledir_Windows-10-10.0.16299-SP0-Intel64_Family_6_Model_158_Stepping_9_GenuineIntel-3.6.2-32\lazylinker_ext\mod.cpp" -lpython36
Traceback (most recent call last):
File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\gof\lazylinker_c.py", line 75, in
raise ImportError()
ImportError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\gof\lazylinker_c.py", line 92, in
raise ImportError()
ImportError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "", line 1, in
File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano__init__.py", line 110, in
from theano.compile import (
File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\compile__init__.py", line 12, in
from theano.compile.mode import *
File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\compile\mode.py", line 11, in
import theano.gof.vm
File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\gof\vm.py", line 673, in
from . import lazylinker_c
File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\gof\lazylinker_c.py", line 127, in
preargs=args)
File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\gof\cmodule.py", line 2312, in compile_str
compile_stderr = decode(p_out[1])
File "C:\Users\wskyl\AppData\Local\Programs\Python\Python36-32\lib\site-packages\theano\compat__init__.py", line 43, in decode
return x.decode()
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xd5 in position 4: invalid continuation byte

1个回答

字符编码有问题,是不是中文影响了

weixin_40449875
wskyland 查了一遍。。没有相关的中文字符编码,我试着重新安装整个系列。。。
接近 2 年之前 回复
weixin_40449875
wskyland 查了查,是有中文代码的影响,有相应的解决方案,我得先找一找哪里来的中文字符编码
接近 2 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!